Package javax.security.auth.message.callback

## Class SecretKeyCallback

- java.lang.Object
- - javax.security.auth.message.callback.SecretKeyCallback

All Implemented Interfaces:
  `javax.security.auth.callback.Callback`

    public class SecretKeyCallback
    extends java.lang.Object
    implements javax.security.auth.callback.Callback

A callback enabling an authentication module to request a secret key from the runtime, by supplying an alias. Other request types may also be supported.

### Nested Class Summary

Nested Classes
`static class` `SecretKeyCallback.AliasRequest`
`static interface` `SecretKeyCallback.Request`

### Constructor Summary

Constructors
`SecretKeyCallback​(SecretKeyCallback.Request request)`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.crypto.SecretKey` `getKey()`
`SecretKeyCallback.Request` `getRequest()`
`void` `setKey​(javax.crypto.SecretKey key)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecretKeyCallback

    public SecretKeyCallback​(SecretKeyCallback.Request request)

### Method Detail

#### getRequest

    public SecretKeyCallback.Request getRequest()

#### setKey

    public void setKey​(javax.crypto.SecretKey key)

#### getKey

    public javax.crypto.SecretKey getKey()